- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Friends

# QOCIResult Class Reference

Search for all occurrences

## Detailed Description

Definition at line 67 of file qsql_oci.h.

`#include <qsql_oci.h>`

List of all members.

## Public Member Functions
| QOCIResult (const QOCIDriver *db, const QOCIDriverPrivate *p)
| ~QOCIResult ()
bool | prepare (const QString &query)
bool | exec ()
QVariant | handle () const
## Protected Member Functions
bool | gotoNext (ValueCache &values, int index)
bool | reset (const QString &query)
int | size ()
int | numRowsAffected ()
QSqlRecord | record () const
QVariant | lastInsertId () const
void | virtual_hook (int id, void *data)
## Friends
class | QOCIDriver
struct | QOCIResultPrivate
class | QOCICols

## Constructor & Destructor Documentation

QOCIResult | ( | const QOCIDriver * | db,
|  | const QOCIDriverPrivate * | p
| ) |  |

~QOCIResult | ( |  | ) |

## Member Function Documentation

bool prepare | ( | const QString & | query | ) |

Search for all occurrences

bool exec | ( |  | ) |

Search for all occurrences

QVariant handle | ( |  | ) | const

Search for all occurrences

bool gotoNext | ( | ValueCache & | values,
|  | int | index
| ) |  | `[protected]`

Search for all occurrences

bool reset | ( | const QString & | query | ) | `[protected]`

Search for all occurrences

int size | ( |  | ) | `[protected]`

Search for all occurrences

int numRowsAffected | ( |  | ) | `[protected]`

Search for all occurrences

QSqlRecord record | ( |  | ) | const `[protected]`

Search for all occurrences

QVariant lastInsertId | ( |  | ) | const `[protected]`

Search for all occurrences

void virtual_hook | ( | int | id,
|  | void * | data
| ) |  | `[protected]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QOCIDriver `[friend]`

Search for all occurrences

Definition at line 69 of file qsql_oci.h.

friend struct QOCIResultPrivate `[friend]`

Search for all occurrences

Definition at line 70 of file qsql_oci.h.

friend class QOCICols `[friend]`

Search for all occurrences

Definition at line 71 of file qsql_oci.h.

The documentation for this class was generated from the following file:

- QtSql/qsql_oci.h

QOCIResult QOCIResult QOCIResult QOCIResult QOCIResult QOCIResult QOCIResult QOCIResult QOCIResult QOCIResult
QOCIResult QOCIResult QOCIResult QOCIResult QOCIResult QOCIResult QOCIResult QOCIResult QOCIResult QOCIResult